commit:     8aa9d06c9c99be27e71206e1678013378d82fc6f
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Thu Oct  6 20:49:26 2022 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Thu Oct  6 21:15:06 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8aa9d06c

net-libs/libupnp: add 1.14.14

Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 net-libs/libupnp/Manifest               |  1 +
 net-libs/libupnp/libupnp-1.14.14.ebuild | 49 +++++++++++++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/net-libs/libupnp/Manifest b/net-libs/libupnp/Manifest
index d4f2fd7c9e6e..e315863c6f3f 100644
--- a/net-libs/libupnp/Manifest
+++ b/net-libs/libupnp/Manifest
@@ -1 +1,2 @@
 DIST libupnp-1.14.13.tar.gz 807484 BLAKE2B 
af3cd6c852297d7b131b2deefba8a72427e225c765017edb5f927b81bd1ce2b72d43caf2c46bd383b83536ba858d52dc8d051e272dacc8bd3c952e43443650a4
 SHA512 
ae6ae72a5e784a0f9508af94c4070627e791660fa37966e9825643fd0f88b171826bda9a2ec872d4961bf3454e5a9cd716127f0bdf6e63c789c4e22aab0b7e71
+DIST libupnp-1.14.14.tar.gz 808851 BLAKE2B 
e1f69df386e2781cf17248733bf720c7e88c0d818ef8589648cdb4ec800c3a0cf381aa44fadcfdabcac31bf5d44091b8f421a1d53310046fb6a6c87e6035245f
 SHA512 
bf134e87981ceb051e101b104f143672711de19a1b35cfc89a49e18f3a289fab443fbdef4a918e1f8a464de38a1eccbeee9c847c243e35f73a92373473b2465f

diff --git a/net-libs/libupnp/libupnp-1.14.14.ebuild 
b/net-libs/libupnp/libupnp-1.14.14.ebuild
new file mode 100644
index 000000000000..bbac11e95b48
--- /dev/null
+++ b/net-libs/libupnp/libupnp-1.14.14.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools
+
+MY_PN="pupnp"
+
+DESCRIPTION="An Portable Open Source UPnP Development Kit"
+HOMEPAGE="http://pupnp.sourceforge.net/";
+SRC_URI="https://github.com/${MY_PN}/${MY_PN}/archive/release-${PV}.tar.gz -> 
${P}.tar.gz"
+S="${WORKDIR}/${MY_PN}-release-${PV}"
+
+LICENSE="BSD"
+SLOT="0/17"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv 
~sparc ~x86 ~amd64-linux"
+IUSE="blocking-tcp debug doc +reuseaddr samples +ssl static-libs"
+
+RDEPEND="ssl? ( dev-libs/openssl:0= )"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+PATCHES=( "${FILESDIR}/${PN}-1.14.12-disable-network-tests.patch" )
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       local myeconfargs=(
+               $(use_enable blocking-tcp blocking-tcp-connections)
+               $(use_enable debug)
+               --enable-ipv6
+               $(use_enable reuseaddr)
+               $(use_enable samples)
+               $(use_enable ssl open_ssl)
+               $(use_enable static-libs static)
+       )
+
+       econf ${myeconfargs[@]}
+}
+
+src_install() {
+       default
+
+       find "${D}" -name '*.la' -delete || die
+}

Reply via email to